Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class NonshareableDoubleBufferedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.ka2ddo.yaac.io.NonshareableDoubleBufferedOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Runnable

    public final class NonshareableDoubleBufferedOutputStream

extends java.io.FilterOutputStream
implements java.lang.Runnable

This class is a duplicate of java.io.BufferedOutputStream, except that its methods are not synchronized, limiting its use to a single thread. However, it does create a thread of its own for background-parallel buffer flushing.

See Also:
  `BufferedOutputStream`

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`NonshareableDoubleBufferedOutputStream(java.io.OutputStream out)` Creates a new buffered output stream to write data to the specified underlying output stream.
`NonshareableDoubleBufferedOutputStream(java.io.OutputStream out, byte[] buf1, byte[] buf2)` Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer.
`NonshareableDoubleBufferedOutputStream(java.io.OutputStream out, int size)` Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

Method Summary
`void` | `close()`
`void` | `flush()` Flushes this buffered output stream.
`void` | `run()`
`java.lang.String` | `toString()`
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to this buffered output stream.
`void` | `write(int b)` Writes the specified byte to this buffered output stream.
`void` | `write2Ints(int v1, int v2)` Writes two `int` values to the underlying output stream as two sequences of four bytes, high byte first.
`void` | `writeInt(int v)` Writes an `int` to the underlying output stream as four bytes, high byte first.

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonshareableDoubleBufferedOutputStream

    public NonshareableDoubleBufferedOutputStream(java.io.OutputStream out)

  Creates a new buffered output stream to write data to the specified underlying output stream.

  Parameters:
    `out` - the underlying output stream.

### NonshareableDoubleBufferedOutputStream

    public NonshareableDoubleBufferedOutputStream(java.io.OutputStream out,
                                                  int size)

  Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

  Parameters:
    `out` - the underlying output stream.
    `size` - the buffer size.
  Throws:
    `java.lang.IllegalArgumentException` - if size <= 0.

### NonshareableDoubleBufferedOutputStream

    public NonshareableDoubleBufferedOutputStream(java.io.OutputStream out,
                                                  byte[] buf1,
                                                  byte[] buf2)

  Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer.

  Parameters:
    `out` - the underlying output stream.
    `buf1` - byte array for first buffer
    `buf2` - byte array for second buffer; must be same length as first buffer
  Throws:
    `java.lang.IllegalArgumentException` - if size <= 0 or the buffer sizes aren't equal.

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this buffered output stream.

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the byte to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### writeInt

    public final void writeInt(int v)
                        throws java.io.IOException

  Writes an `int` to the underlying output stream as four bytes, high byte first.

  Parameters:
    `v` - an `int` to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write2Ints

    public final void write2Ints(int v1,
                                 int v2)
                          throws java.io.IOException

  Writes two `int` values to the underlying output stream as two sequences of four bytes, high byte first.

  Parameters:
    `v1` - an `int` to be written.
    `v2` - another `int` to be written after the first int.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to this buffered output stream.

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### flush

    public void flush()
               throws java.io.IOException

  Flushes this buffered output stream. This forces any buffered output bytes to be written out to the underlying output stream.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD